Fetch On-ramp Coins
curl --request GET \
--url https://secureapi.tender.cash/v1/api/onramp/coins \
--header 'authorization: <api-key>' \
--header 'x-access-id: <x-access-id>' \
--header 'x-request-id: <x-request-id>' \
--header 'x-timestamp: <x-timestamp>'const options = {
method: 'GET',
headers: {
authorization: '<api-key>',
'x-timestamp': '<x-timestamp>',
'x-request-id': '<x-request-id>',
'x-access-id': '<x-access-id>'
}
};
fetch('https://secureapi.tender.cash/v1/api/onramp/coins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://secureapi.tender.cash/v1/api/onramp/coins"
headers = {
"authorization": "<api-key>",
"x-timestamp": "<x-timestamp>",
"x-request-id": "<x-request-id>",
"x-access-id": "<x-access-id>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://secureapi.tender.cash/v1/api/onramp/coins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-access-id: <x-access-id>",
"x-request-id: <x-request-id>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "success",
"data": [
{
"id": "usdt",
"name": "Tether USD",
"symbol": "USDT",
"icon": "https://cdn.tender.cash/coins/usdt.png",
"chains": [
"tron",
"ethereum"
],
"isContract": true,
"isStableCoin": true
}
]
}On-ramp
Fetch On-ramp Coins
List cryptocurrencies available for on-ramp delivery, optionally filtered by chain
GET
/
v1
/
api
/
onramp
/
coins
Fetch On-ramp Coins
Auth method: Signed (HMAC) — this endpoint requires the full set of signed
headers:
x-access-id, x-request-id, x-timestamp, and an HMAC-SHA256
authorization signature. See Authentication.Headers
string
required
Base64-encoded HMAC-SHA256 signature using your API secret
string
required
Example:
"2025-03-15T09:45:53.000Z"string
required
Example:
"550e8400-e29b-41d4-a716-446655440000"string
required
Example:
"your-access-id-here"Query Parameters
string
Filter coins to those supported on a specific chain. Must match a chain
id from
Fetch On-ramp Chains.Example: "tron"Response
string
required
Example:
"success"string
required
Example:
"success"array
required
Array of supported coins
Show coin object
Show coin object
string
Coin identifier — use as
targetCurrency in Initiate On-rampExample: "usdt"string
Example:
"Tether USD"string
Example:
"USDT"string
Example:
"https://cdn.tender.cash/coins/usdt.png"array
Chain IDs this coin is available onExample:
["tron", "ethereum"]boolean
Whether this is an ERC-20 / TRC-20 tokenExample:
trueboolean
Example:
trueAuthorizations
Signed (HMAC) authentication. Required headers: x-access-id, x-request-id (UUID v4), x-timestamp (ISO 8601), and authorization (Base64 HMAC-SHA256 signature of {timeStamp, requestId, accessId} using your access secret).
Headers
Query Parameters
Filter to coins supported on this chain ID